## ayatana-indicator-display 0.2-0+git20210810.292+11.01.nightly.1

=== CMakeLists.txt ===
project(ayatana-indicator-display LANGUAGES C CXX)
cmake_minimum_required(VERSION 3.13)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

##
##  GNU standard paths
##
include(GNUInstallDirs)

set(PROJECT_VERSION "0.2")
set(PACKAGE ${CMAKE_PROJECT_NAME})
set(SERVICE_LIB ${PACKAGE})
set(SERVICE_EXEC "${PACKAGE}-service")

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()

set(CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set(CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

##
## Gettext
##

set(GETTEXT_PACKAGE "ayatana-indicator-display")
add_definitions(
    -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
    -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
)

##
##  Check for prerequisites
##

# threads...
set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
if(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 3.1)
    set(THREAD_LINK_LIBRARIES -pthread)
else()
    set(THREAD_LINK_LIBRARIES Threads::Threads) # introduced in cmake 3.1
endif()

find_package(PkgConfig REQUIRED)

# glib...
set(GLIB_MINIMUM 2.36)
pkg_check_modules(SERVICE_DEPS REQUIRED
    gio-unix-2.0>=${GLIB_MINIMUM}
    glib-2.0>=${GLIB_MINIMUM}
    gudev-1.0
)
include_directories (SYSTEM
  ${SERVICE_DEPS_INCLUDE_DIRS}
)

##
##  Compiler settings
##

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

# set the compiler warnings
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    list(APPEND CXX_WARNING_ARGS -Weverything -Wno-c++98-compat -Wno-padded)
elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    list(APPEND CXX_WARNING_ARGS -Wall -Wextra -Wpedantic)
endif()

add_compile_options(-std=c++14 -fPIC)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

##
##  Testing & Coverage
##

if (ENABLE_TESTS)

    include(CTest)
    enable_testing()
    add_subdirectory(tests)

    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS ${SERVICE_LIB} ${SERVICE_EXEC}
            TESTS ${COVERAGE_TEST_TARGETS}
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )

    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
find_package(GSettings)

##
## GSettings
##

if(NOT EXISTS /usr/share/glib-2.0/schemas/com.ubuntu.touch.system.gschema.xml)
  add_schema ("org.ayatana.display.gschema.xml")
endif()

##
##  Systemd Unit File
##

# where to install
pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

# install it
install (FILES "${SYSTEMD_USER_FILE}"
         DESTINATION "${SYSTEMD_USER_DIR}")

##
##  Ayatana Indicator File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicator install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.rotation_lock")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")

=== src/CMakeLists.txt ===
add_definitions(-DG_LOG_DOMAIN="${CMAKE_PROJECT_NAME}")

if(EXISTS "/usr/share/glib-2.0/schemas/com.ubuntu.sound.gschema.xml")
  add_definitions( -DHAS_UBUNTU_TOUCH_SCHEMA )
endif()

add_compile_options(
  ${CXX_WARNING_ARGS}
)

add_library(
    ${SERVICE_LIB}
    STATIC
    adbd-client.cpp
    exporter.cpp
    greeter.cpp
    indicator.cpp
    rotation-lock.cpp
    usb-manager.cpp
    usb-monitor.cpp
    usb-snap.cpp
)

add_executable(
    ${SERVICE_EXEC}
    main.cpp
)

target_link_libraries(${SERVICE_EXEC}
    ${SERVICE_LIB}
    ${SERVICE_DEPS_LIBRARIES}
    ${THREAD_LINK_LIBRARIES}
)

install(
    TARGETS
        ${SERVICE_EXEC}
    RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}
)

=== tests/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)

SET(CMAKE_CXX_LINK_FLAGS  "${CMAKE_CXX_LINK_FLAGS} -no-pie")

find_package(GMock REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)

pkg_check_modules(TEST_DEPS
    libqtdbustest-1 REQUIRED
    libqtdbusmock-1 REQUIRED
)

include_directories(SYSTEM
    ${DBUSTEST_INCLUDE_DIRS}
    ${TEST_DEPS_INCLUDE_DIRS}
    ${GTEST_INCLUDE_DIRS}
    ${GMOCK_INCLUDE_DIRS}
)

list(APPEND CTEST_ENVIRONMENT
    G_MESSAGES_DEBUG=all
    G_DBUS_DEBUG=call,signal,return,message
)

# turn off the warnings that break Google Test
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    list(APPEND CXX_WARNING_ARGS -Wno-global-constructors -Wno-weak-vtables)
endif()

add_compile_options(${CXX_WARNING_ARGS})

add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem)

add_subdirectory(integration)
add_subdirectory(unit)
add_subdirectory(utils)

set(COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  PARENT_SCOPE
)

=== tests/integration/CMakeLists.txt ===
set(SERVICE_LINK_LIBRARIES
    ${SERVICE_LIB}
    ${SERVICE_DEPS_LIBRARIES}
)
set(QT_LINK_LIBRARIES
    test-utils
    Qt5::Core
    Qt5::Test
    Qt5::DBus
)
set(TEST_LINK_LIBRARIES
    ${TEST_DEPS_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

function(add_qt_test_by_name name)
  set(TEST_NAME ${name})
  set(COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
  add_test(${TEST_NAME} ${TEST_NAME})
  set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT ${CTEST_ENVIRONMENT})
  target_link_libraries(${TEST_NAME} ${SERVICE_LINK_LIBRARIES} ${QT_LINK_LIBRARIES} ${TEST_LINK_LIBRARIES} ${THREAD_LINK_LIBRARIES})
endfunction()
add_qt_test_by_name(usb-manager-test)

set(COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  PARENT_SCOPE
)

=== tests/unit/CMakeLists.txt ===
###########################
# GSettings Schema
###########################

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the org.ayatana.display schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (XDG_DATA_DIRS "${CMAKE_CURRENT_BINARY_DIR}/gsettings-schemas")
set (SCHEMA_DIR "${XDG_DATA_DIRS}/glib-2.0/schemas")
if (EXISTS /usr/share/glib-2.0/schemas/com.ubuntu.touch.system.gschema.xml)
  set (DISPLAY_SCHEMA /usr/share/glib-2.0/schemas/com.ubuntu.touch.system.gschema.xml)
else()
  set (DISPLAY_SCHEMA ${CMAKE_SOURCE_DIR}/data/org.ayatana.display.gschema.xml)
endif()
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    COMMAND mkdir -p ${SCHEMA_DIR}
                    COMMAND cp -f ${DISPLAY_SCHEMA} ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

set(SERVICE_LINK_LIBRARIES
    ${SERVICE_LIB}
    ${SERVICE_DEPS_LIBRARIES}
)
set(QT_LINK_LIBRARIES
    test-utils
    Qt5::Core
    Qt5::Test
    Qt5::DBus
)
set(TEST_LINK_LIBRARIES
    ${TEST_DEPS_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

add_definitions(
  -DGREETER_TEMPLATE="${CMAKE_SOURCE_DIR}/tests/utils/mock-greeter.py"
)

function(add_test_by_name name)
  set(TEST_NAME ${name})
  set(COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  add_test(${TEST_NAME} ${TEST_NAME})
  set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT ${CTEST_ENVIRONMENT})
  target_link_libraries(${TEST_NAME} ${SERVICE_LINK_LIBRARIES} ${TEST_LINK_LIBRARIES} ${THREAD_LINK_LIBRARIES})
endfunction()
add_test_by_name(adbd-client-test)
add_test_by_name(rotation-lock-test)

function(add_qt_test_by_name name)
  set(TEST_NAME ${name})
  set(COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
  add_test(${TEST_NAME} ${TEST_NAME})
  set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT ${CTEST_ENVIRONMENT})
  target_link_libraries(${TEST_NAME} ${SERVICE_LINK_LIBRARIES} ${QT_LINK_LIBRARIES} ${TEST_LINK_LIBRARIES} ${THREAD_LINK_LIBRARIES})
endfunction()
add_qt_test_by_name(greeter-test)
add_qt_test_by_name(usb-snap-test)

set(COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  PARENT_SCOPE
)

=== tests/utils/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR} 
  ${CMAKE_CURRENT_SOURCE_DIR} 
)

add_library(
    test-utils
    STATIC
    qmain.cpp
)

qt5_use_modules(
    test-utils
    Core
    DBus
)

=== debian/changelog ===
ayatana-indicator-display (0.2-0+git20210810.292+11.01.nightly.1) unstable; urgency=medium

  * Fork ayatana-indicator-datetime from Ubuntu's indicator-display.

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.
  * Development-Snapshot!!! Auto-built Debian sid package for
    packages.arctica-project.org repository (Git commit:
    5f7bc0fd29982f49cb64e2da578ed3ccea423111).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Tue, 10 Aug 2021 22:15:23 +0200

indicator-display (0.1+17.04.20170210-0ubuntu1) zesty; urgency=medium

  * Remove old autostart files.
  * Fix the google test dependency.
  * Use intltool support from cmake-extras.
  * Make coverage reporting work.
  * Enable parallel builds.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Fri, 10 Feb 2017 17:10:00 +0000

indicator-display (0.1+17.04.20170106-0ubuntu1) zesty; urgency=medium

  * Compatibility with unversioned cmake-extras modules (LP: #1563573)

 -- Pete Woods <pete.woods@canonical.com>  Fri, 06 Jan 2017 10:44:49 +0000

indicator-display (0.1+17.04.20161021.1-0ubuntu1) zesty; urgency=medium

  [ Charles Kerr ]
  * Fix test error in adbd-client-test

  [ Ted Gould ]
  * Adding a systemd user session unit

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 21 Oct 2016 14:20:11 +0000

indicator-display (0.1+16.04.20160324.1-0ubuntu1) xenial; urgency=medium

  [ Charles Kerr ]
  * When a new device appears to ADB, prompt the user whether or not to
    allow the connection.

 -- Simon Fels <simon.busch@canonical.com>  Thu, 24 Mar 2016 16:16:55 +0000

indicator-display (0.1+15.10.20150727-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Jul 2015 22:57:15 +0000

indicator-display (0.1+15.10.20150727-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Charles Kerr ]
  * drop build-dependency on g++-4.9 (LP: #1452323)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 27 Jul 2015 18:06:30 +0000

indicator-display (0.1+15.04.20150302-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * Fix action-state-to-variant mapping (LP: #1410915)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 02 Mar 2015 16:56:31 +0000

indicator-display (0.1+15.04.20141103-0ubuntu1) vivid; urgency=low

  [ Ted Gould ]
  * Small typo in integration test plan

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 21:06:33 +0000

indicator-display (0.1+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Use com.ubuntu.touch.system's "rotation-lock" boolean for the
    rotation lock indicator. (LP: #1378078)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 13:44:22 +0000

indicator-display (0.1+14.10.20141007-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Change the phone header's title from "Rotation Lock" to "Rotation".
    (LP: #1377286)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 07 Oct 2014 19:45:58 +0000

indicator-display (0.1+14.10.20140915-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * Tag to use langpacks, so launchpad imports the translations template

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Sep 2014 21:05:52 +0000

indicator-display (0.1+14.10.20140905.1-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Add a rotation lock indicator

  [ Ted Gould ]
  * First commit, README
  * First release in CI Train

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Sep 2014 22:18:08 +0000

indicator-display (0.1-0ubuntu1) utopic; urgency=medium

  * Initial release.

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 20 Aug 2014 15:29:27 -0500

=== debian/control ===
Source: ayatana-indicator-display
Section: nightly/x11
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               dbus,
               intltool,
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               libgudev-1.0-dev,
               libproperties-cpp-dev,
# for coverage reports
               gcovr,
               lcov,
# Ubuntu B-Ds, if on Ubuntu
               gsettings-ubuntu-schemas (>= 0.0.2+14.10.20140813) | hello,
# for tests
               qtbase5-dev,
               libqtdbusmock1-dev,
               libqtdbustest1-dev,
               cppcheck,
               googletest | google-mock (>= 1.6.0+svn437),
# for packaging
               debhelper (>= 9),
               dh-systemd,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.1.1
Homepage: http://github.com/AyatanaIndicators/ayatana-indicator-display
Vcs-Git: http://github.com/AyatanaIndicators/ayatana-indicator-display
Vcs-Browser: http://github.com/AyatanaIndicators/ayatana-indicator-display

Package: ayatana-indicator-display
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         libglib2.0-bin,
Description: Ayatana Indicator for Display configuration
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their display settings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel --with systemd

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-display 22.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ##
 include(GNUInstallDirs)
 
-set(PROJECT_VERSION "0.2")
+set(PROJECT_VERSION "22.2.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(SERVICE_LIB ${PACKAGE})
 set(SERVICE_EXEC "${PACKAGE}-service")
@@ -29,12 +29,14 @@
 endif()
 
 if(ENABLE_WERROR)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+    add_definitions("-Werror")
 endif()
 
-set(CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
-set(CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
+if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
+    add_definitions("-Weverything")
+elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+    add_definitions("-Wall")
+endif()
 
 ##
 ## Gettext
@@ -64,9 +66,11 @@
 # glib...
 set(GLIB_MINIMUM 2.36)
 pkg_check_modules(SERVICE_DEPS REQUIRED
+    libayatana-common>=0.9.3
     gio-unix-2.0>=${GLIB_MINIMUM}
     glib-2.0>=${GLIB_MINIMUM}
     gudev-1.0
+    properties-cpp>=0.0.1
 )
 include_directories (SYSTEM
   ${SERVICE_DEPS_INCLUDE_DIRS}
@@ -77,15 +81,7 @@
 ##
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
-
-# set the compiler warnings
-if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
-    list(APPEND CXX_WARNING_ARGS -Weverything -Wno-c++98-compat -Wno-padded)
-elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
-    list(APPEND CXX_WARNING_ARGS -Wall -Wextra -Wpedantic)
-endif()
-
-add_compile_options(-std=c++14 -fPIC)
+add_compile_options(-fPIC)
 
 add_subdirectory(src)
 add_subdirectory(data)

=== data/CMakeLists.txt ===
find_package(GSettings)

##
## GSettings schema
##

set (SCHEMA_NAME "org.ayatana.display.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")

# generate the .xml file using intltool
find_package(Intltool REQUIRED)
set (ENV{LC_ALL} "C")
intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)

# let GSettings do the rest
find_package(GSettings REQUIRED)
add_schema (${SCHEMA_NAME})

##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})
    # where to install
    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

    # build it
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

    # install it
    install (FILES "${SYSTEMD_USER_FILE}"
             DESTINATION "${SYSTEMD_USER_DIR}")
endif()

##
##  XDG Autostart Config File
##

# build it
configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.desktop")

# install it
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.desktop" DESTINATION "/etc/xdg/autostart")

##
##  Ayatana Indicator File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicator install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.rotation_lock")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,4 @@
 add_definitions(-DG_LOG_DOMAIN="${CMAKE_PROJECT_NAME}")
-
-if(EXISTS "/usr/share/glib-2.0/schemas/com.ubuntu.sound.gschema.xml")
-  add_definitions( -DHAS_UBUNTU_TOUCH_SCHEMA )
-endif()
 
 add_compile_options(
   ${CXX_WARNING_ARGS}
@@ -35,5 +31,5 @@
 install(
     TARGETS
         ${SERVICE_EXEC}
-    RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}
+    RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}"
 )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,4 @@
 set(CMAKE_AUTOMOC ON)
-
-SET(CMAKE_CXX_LINK_FLAGS  "${CMAKE_CXX_LINK_FLAGS} -no-pie")
 
 find_package(GMock REQUIRED)
 find_package(Qt5Core REQUIRED)
@@ -31,7 +29,7 @@
 
 add_compile_options(${CXX_WARNING_ARGS})
 
-add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem)
+add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem --suppress=uninitDerivedMemberVar --suppress=unmatchedSuppression --suppress=constParameter)
 
 add_subdirectory(integration)
 add_subdirectory(unit)

=== tests/unit/CMakeLists.txt ===
--- 
+++ 
@@ -12,16 +12,13 @@
 # and help the tests to find that file by setting -DSCHEMA_DIR
 set (XDG_DATA_DIRS "${CMAKE_CURRENT_BINARY_DIR}/gsettings-schemas")
 set (SCHEMA_DIR "${XDG_DATA_DIRS}/glib-2.0/schemas")
-if (EXISTS /usr/share/glib-2.0/schemas/com.ubuntu.touch.system.gschema.xml)
-  set (DISPLAY_SCHEMA /usr/share/glib-2.0/schemas/com.ubuntu.touch.system.gschema.xml)
-else()
-  set (DISPLAY_SCHEMA ${CMAKE_SOURCE_DIR}/data/org.ayatana.display.gschema.xml)
-endif()
+set (DISPLAY_SCHEMA ${CMAKE_BINARY_DIR}/data/org.ayatana.display.gschema.xml)
 add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
 execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                  OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                  OUTPUT_STRIP_TRAILING_WHITESPACE)
 add_custom_command (OUTPUT gschemas.compiled
+                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.display.gschema.xml
                     COMMAND mkdir -p ${SCHEMA_DIR}
                     COMMAND cp -f ${DISPLAY_SCHEMA} ${SCHEMA_DIR}
                     COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})
@@ -50,6 +47,7 @@
   set(TEST_NAME ${name})
   set(COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
   add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
+  target_link_options(${TEST_NAME} PRIVATE -no-pie)
   add_test(${TEST_NAME} ${TEST_NAME})
   set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT ${CTEST_ENVIRONMENT})
   target_link_libraries(${TEST_NAME} ${SERVICE_LINK_LIBRARIES} ${TEST_LINK_LIBRARIES} ${THREAD_LINK_LIBRARIES})
@@ -61,6 +59,7 @@
   set(TEST_NAME ${name})
   set(COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
   add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
+  target_link_options(${TEST_NAME} PRIVATE -no-pie)
   add_test(${TEST_NAME} ${TEST_NAME})
   set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT ${CTEST_ENVIRONMENT})
   target_link_libraries(${TEST_NAME} ${SERVICE_LINK_LIBRARIES} ${QT_LINK_LIBRARIES} ${TEST_LINK_LIBRARIES} ${THREAD_LINK_LIBRARIES})

=== tests/utils/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

add_library(
    test-utils
    STATIC
    qmain.cpp
)

target_link_libraries(
    test-utils
    Qt5::Core
    Qt5::DBus
)

=== debian/changelog ===
ayatana-indicator-display (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_GSettings-Use-org.ayatana.display.gschema.xml-for-no.patch.
      Applied upstream.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 15:08:14 +0100

ayatana-indicator-display (0.9.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1000143).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Nov 2021 09:42:31 +0100

=== debian/control ===
Source: ayatana-indicator-display
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               dbus,
               intltool,
               libayatana-common-dev (>= 0.9.3),
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               libgudev-1.0-dev,
               libproperties-cpp-dev,
# for coverage reports
               gcovr,
               lcov,
# for tests
               qtbase5-dev,
               libqtdbusmock1-dev,
               libqtdbustest1-dev,
               cppcheck,
               googletest,
# for packaging
               debhelper-compat (= 13),
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-display
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display/

Package: ayatana-indicator-display
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Description: Ayatana Indicator for Display configuration
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their display settings.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,22 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+DEB_CMAKE_EXTRA_FLAGS = \
+    -DENABLE_TESTS=ON \
+    -DENABLE_COVERAGE=OFF \
+    $(NULL)
+
 %:
-	dh $@ --parallel --with systemd
+	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-display 22.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ##
 include(GNUInstallDirs)
 
-set(PROJECT_VERSION "22.2.0")
+set(PROJECT_VERSION "22.2.1")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(SERVICE_LIB ${PACKAGE})
 set(SERVICE_EXEC "${PACKAGE}-service")

=== tests/unit/CMakeLists.txt ===
--- 
+++ 
@@ -17,11 +17,17 @@
 execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                  OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                  OUTPUT_STRIP_TRAILING_WHITESPACE)
+# Because gschemas.compiled will be referenced multiple times independently, a level of
+# redirection is needed to prevent CMake from generating the rule for the file multiple
+# times, causing a race condition.
+# https://discourse.cmake.org/t/race-condition-when-multi-add-custom-target-deps-on-same-file-generated-by-add-custom-command/2358
+# https://bugs.debian.org/892091 (bug for ayatana-indicators-power, but applies here as well)
 add_custom_command (OUTPUT gschemas.compiled
                     DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.display.gschema.xml
                     COMMAND mkdir -p ${SCHEMA_DIR}
                     COMMAND cp -f ${DISPLAY_SCHEMA} ${SCHEMA_DIR}
                     COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})
+add_custom_target(gschemas-compiled DEPENDS gschemas.compiled)
 
 set(SERVICE_LINK_LIBRARIES
     ${SERVICE_LIB}
@@ -46,9 +52,10 @@
 function(add_test_by_name name)
   set(TEST_NAME ${name})
   set(COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
-  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
+  add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
   target_link_options(${TEST_NAME} PRIVATE -no-pie)
   add_test(${TEST_NAME} ${TEST_NAME})
+  add_dependencies(${TEST_NAME} gschemas-compiled)
   set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT ${CTEST_ENVIRONMENT})
   target_link_libraries(${TEST_NAME} ${SERVICE_LINK_LIBRARIES} ${TEST_LINK_LIBRARIES} ${THREAD_LINK_LIBRARIES})
 endfunction()

=== debian/changelog ===
ayatana-indicator-display (22.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Resolves cppcheck unit test failure. (Closes: #1013627).
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 21 Jul 2022 01:38:41 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                debhelper-compat (= 13),
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-display
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display.git

## ayatana-indicator-display 22.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ##
 include(GNUInstallDirs)
 
-set(PROJECT_VERSION "22.2.1")
+set(PROJECT_VERSION "22.9.1")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(SERVICE_LIB ${PACKAGE})
 set(SERVICE_EXEC "${PACKAGE}-service")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,14 +4,8 @@
 ## GSettings schema
 ##
 
-set (SCHEMA_NAME "org.ayatana.display.gschema.xml")
+set (SCHEMA_NAME "org.ayatana.indicator.display.gschema.xml")
 set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
-set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
-
-# generate the .xml file using intltool
-find_package(Intltool REQUIRED)
-set (ENV{LC_ALL} "C")
-intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 
 # let GSettings do the rest
 find_package(GSettings REQUIRED)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 add_compile_options(${CXX_WARNING_ARGS})
 
-add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem --suppress=uninitDerivedMemberVar --suppress=unmatchedSuppression --suppress=constParameter)
+add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem --suppress=uninitDerivedMemberVar --suppress=unmatchedSuppression --suppress=constParameter --suppress=unusedFunction)
 
 add_subdirectory(integration)
 add_subdirectory(unit)

=== debian/changelog ===
ayatana-indicator-display (22.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_fix-failing-cppcheck.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Nov 2022 22:35:10 +0100

ayatana-indicator-display (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001_fix-failing-cppcheck.patch. Fix failing cppchecks.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 12:01:42 +0200

## ayatana-indicator-display 22.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ##
 include(GNUInstallDirs)
 
-set(PROJECT_VERSION "22.9.1")
+set(PROJECT_VERSION "22.9.3")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(SERVICE_LIB ${PACKAGE})
 set(SERVICE_EXEC "${PACKAGE}-service")
@@ -20,6 +20,7 @@
 option(ENABLE_TESTS "Enable all tests and checks" OFF)
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
+option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)
 
 if(ENABLE_COVERAGE)
     set(ENABLE_TESTS ON)
@@ -65,13 +66,20 @@
 
 # glib...
 set(GLIB_MINIMUM 2.36)
-pkg_check_modules(SERVICE_DEPS REQUIRED
-    libayatana-common>=0.9.3
-    gio-unix-2.0>=${GLIB_MINIMUM}
-    glib-2.0>=${GLIB_MINIMUM}
-    gudev-1.0
-    properties-cpp>=0.0.1
-)
+set (SERVICE_DEPS libayatana-common>=0.9.3 gio-unix-2.0>=${GLIB_MINIMUM} glib-2.0>=${GLIB_MINIMUM})
+
+if (ENABLE_TESTS)
+    list (APPEND SERVICE_DEPS properties-cpp>=0.0.1)
+endif ()
+
+if (ENABLE_LOMIRI_FEATURES)
+    find_package(Qt5Core REQUIRED)
+    list (APPEND SERVICE_DEPS gudev-1.0)
+    add_definitions (-DLOMIRI_FEATURES_ENABLED)
+endif ()
+
+pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
+
 include_directories (SYSTEM
   ${SERVICE_DEPS_INCLUDE_DIRS}
 )
@@ -114,3 +122,4 @@
 message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
 message(STATUS "Unit tests: ${ENABLE_TESTS}")
 message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
+message(STATUS "Build with Lomiri features: ${ENABLE_LOMIRI_FEATURES}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,18 +4,28 @@
   ${CXX_WARNING_ARGS}
 )
 
-add_library(
-    ${SERVICE_LIB}
-    STATIC
-    adbd-client.cpp
-    exporter.cpp
-    greeter.cpp
-    indicator.cpp
-    rotation-lock.cpp
-    usb-manager.cpp
-    usb-monitor.cpp
-    usb-snap.cpp
+set (SERVICE_LIB_SOURCES
+     exporter.cpp
+     indicator.cpp
+     rotation-lock.cpp
 )
+
+if (ENABLE_LOMIRI_FEATURES)
+    list (APPEND
+          SERVICE_LIB_SOURCES
+          greeter.cpp
+          adbd-client.cpp
+          usb-manager.cpp
+          usb-monitor.cpp
+          usb-snap.cpp
+    )
+endif ()
+
+add_library (${SERVICE_LIB} STATIC ${SERVICE_LIB_SOURCES})
+
+if (ENABLE_LOMIRI_FEATURES)
+    target_link_libraries(${SERVICE_LIB} Qt5::Core)
+endif ()
 
 add_executable(
     ${SERVICE_EXEC}

=== tests/unit/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # and help the tests to find that file by setting -DSCHEMA_DIR
 set (XDG_DATA_DIRS "${CMAKE_CURRENT_BINARY_DIR}/gsettings-schemas")
 set (SCHEMA_DIR "${XDG_DATA_DIRS}/glib-2.0/schemas")
-set (DISPLAY_SCHEMA ${CMAKE_BINARY_DIR}/data/org.ayatana.display.gschema.xml)
+set (DISPLAY_SCHEMA ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.display.gschema.xml)
 add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
 execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                  OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
@@ -23,7 +23,7 @@
 # https://discourse.cmake.org/t/race-condition-when-multi-add-custom-target-deps-on-same-file-generated-by-add-custom-command/2358
 # https://bugs.debian.org/892091 (bug for ayatana-indicators-power, but applies here as well)
 add_custom_command (OUTPUT gschemas.compiled
-                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.display.gschema.xml
+                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.display.gschema.xml
                     COMMAND mkdir -p ${SCHEMA_DIR}
                     COMMAND cp -f ${DISPLAY_SCHEMA} ${SCHEMA_DIR}
                     COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

=== debian/changelog ===
ayatana-indicator-display (22.9.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B-D and D: xsct (required in unit tests and at runtime).
  * debian/rules:
    + Set new CMake flag ENABLE_LOMIRI_FEATURES to ON.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 07:59:48 +0100

ayatana-indicator-display (22.9.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 07:33:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
-               cmake-extras (>= 0.10),
+               cmake-extras,
                dbus,
                intltool,
                libayatana-common-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.36),
+               libglib2.0-dev,
                libgtest-dev,
                libgudev-1.0-dev,
                libproperties-cpp-dev,
@@ -23,6 +23,7 @@
                libqtdbustest1-dev,
                cppcheck,
                googletest,
+               xsct,
 # for packaging
                debhelper-compat (= 13),
 # for systemd unit
@@ -38,6 +39,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ayatana-indicator-common,
+         xsct,
 Description: Ayatana Indicator for Display configuration
  This Ayatana Indicator is designed to be placed on the right side of a
  panel and give the user easy control for changing their display settings.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 DEB_CMAKE_EXTRA_FLAGS = \
     -DENABLE_TESTS=ON \
     -DENABLE_COVERAGE=OFF \
+    -DENABLE_LOMIRI_FEATURES=ON \
     $(NULL)
 
 %:

## ayatana-indicator-display 22.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ##
 include(GNUInstallDirs)
 
-set(PROJECT_VERSION "22.9.3")
+set(PROJECT_VERSION "22.9.4")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(SERVICE_LIB ${PACKAGE})
 set(SERVICE_EXEC "${PACKAGE}-service")
@@ -21,6 +21,7 @@
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)
+option(ENABLE_COLOR_TEMP "Include colour temperature specific code in the build" ON)
 
 if(ENABLE_COVERAGE)
     set(ENABLE_TESTS ON)
@@ -78,6 +79,11 @@
     add_definitions (-DLOMIRI_FEATURES_ENABLED)
 endif ()
 
+if (ENABLE_COLOR_TEMP)
+    list (APPEND SERVICE_DEPS libgeoclue-2.0)
+    add_definitions (-DCOLOR_TEMP_ENABLED)
+endif ()
+
 pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
 
 include_directories (SYSTEM
@@ -123,3 +129,4 @@
 message(STATUS "Unit tests: ${ENABLE_TESTS}")
 message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
 message(STATUS "Build with Lomiri features: ${ENABLE_LOMIRI_FEATURES}")
+message(STATUS "Build with colour temperature code: ${ENABLE_COLOR_TEMP}")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -56,3 +56,9 @@
 
 install (FILES "${AYATANA_INDICATOR_FILE}"
          DESTINATION "${AYATANA_INDICATOR_DIR}")
+
+
+# ayatana-indicator-display-colortemp-off.svg
+# ayatana-indicator-display-colortemp-on.svg
+
+install (DIRECTORY "icons/" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/scalable/status" FILES_MATCHING PATTERN "*.svg")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,13 @@
           usb-manager.cpp
           usb-monitor.cpp
           usb-snap.cpp
+    )
+endif ()
+
+if (ENABLE_COLOR_TEMP)
+    list (APPEND
+          SERVICE_LIB_SOURCES
+          solar.c
     )
 endif ()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 set(CMAKE_AUTOMOC ON)
 
 find_package(GMock REQUIRED)
-find_package(Qt5Core REQUIRED)
 find_package(Qt5Test REQUIRED)
 find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)
 
@@ -31,9 +30,11 @@
 
 add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem --suppress=uninitDerivedMemberVar --suppress=unmatchedSuppression --suppress=constParameter --suppress=unusedFunction)
 
-add_subdirectory(integration)
-add_subdirectory(unit)
-add_subdirectory(utils)
+if (ENABLE_LOMIRI_FEATURES)
+    add_subdirectory (integration)
+    add_subdirectory (unit)
+    add_subdirectory (utils)
+endif ()
 
 set(COVERAGE_TEST_TARGETS
   ${COVERAGE_TEST_TARGETS}

=== tests/integration/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
   set(TEST_NAME ${name})
   set(COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
   add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
+  target_link_options(${TEST_NAME} PRIVATE -no-pie)
   add_test(${TEST_NAME} ${TEST_NAME})
   set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT ${CTEST_ENVIRONMENT})
   target_link_libraries(${TEST_NAME} ${SERVICE_LINK_LIBRARIES} ${QT_LINK_LIBRARIES} ${TEST_LINK_LIBRARIES} ${THREAD_LINK_LIBRARIES})

=== tests/unit/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,7 @@
   add_test(${TEST_NAME} ${TEST_NAME})
   add_dependencies(${TEST_NAME} gschemas-compiled)
   set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT ${CTEST_ENVIRONMENT})
+  set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT "TEST_NAME=${TEST_NAME}")
   target_link_libraries(${TEST_NAME} ${SERVICE_LINK_LIBRARIES} ${TEST_LINK_LIBRARIES} ${THREAD_LINK_LIBRARIES})
 endfunction()
 add_test_by_name(adbd-client-test)

=== debian/changelog ===
ayatana-indicator-display (22.9.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add to B-D: libgeoclue-2-dev.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/rules:
    + Add CMake flag ENABLE_COLOR_TEMP and set it to ON.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 23:49:29 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libgtest-dev,
                libgudev-1.0-dev,
                libproperties-cpp-dev,
+               libgeoclue-2-dev,
 # for coverage reports
                gcovr,
                lcov,
@@ -28,7 +29,7 @@
                debhelper-compat (= 13),
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-display
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display.git
